[linux-dvb] [Fwd: ov511 module does not build]

Sid Boyce sboyce at blueyonder.co.uk
Wed Jul 4 01:25:24 CEST 2007



-------- Original Message --------
Subject: ov511 module does not build
Date: Wed, 04 Jul 2007 00:23:57 +0100
From: Sid Boyce <g3vbv at blueyonder.co.uk>
Reply-To: g3vbv at blueyonder.co.uk
Organisation: blueyonder.co.uk
To: linux-kernel at vger.kernel.org

With the same setup in .config for linux-2.6.22-rc2-git7, it builds,
after that and right up to linux-2.6.22-rc7-git1 it doesn't.
/usr/src/linux-2.6.22-rc2-git7/drivers/media/video/ov511.ko
# CONFIG_VIDEO_V4L1 is not set
CONFIG_VIDEO_V4L1_COMPAT=y
In any of the 2.6.22-rc kernels, there is no option to select OV511.
tindog:/usr/src/linux-2.6.22-rc2-git7 # grep -i ov511 .config
tindog:/usr/src/linux-2.6.22-rc2-git7 #

tindog:/usr/src/linux-2.6.22-rc7-git1 # diff
../linux-2.6.22-rc2-git7/drivers/media/video/Kconfig
drivers/media/video/Kconfig
14c14
< if VIDEO_CAPTURE_DRIVERS
---
> if VIDEO_CAPTURE_DRIVERS && VIDEO_DEV
694c694
< if V4L_USB_DRIVERS
---
> if V4L_USB_DRIVERS && USB
tindog:/usr/src/linux-2.6.22-rc7-git1 # grep V4L .config
# CONFIG_VIDEO_V4L1 is not set
CONFIG_VIDEO_V4L1_COMPAT=y
CONFIG_VIDEO_V4L2=y
CONFIG_V4L_USB_DRIVERS=y

tindog:/usr/src/linux-2.6.22-rc2-git7 # grep V4L .config
# CONFIG_VIDEO_V4L1 is not set
CONFIG_VIDEO_V4L1_COMPAT=y
CONFIG_VIDEO_V4L2=y
# CONFIG_V4L_USB_DRIVERS is not set

Still does not build for 2.6.22-rc7-git2 with .config set with

# CONFIG_V4L_USB_DRIVERS is not set

Regards
Sid.
-- 
Sid Boyce ... Hamradio License G3VBV, Licensed Private Pilot
Emeritus IBM/Amdahl Mainframes and Sun/Fujitsu Servers Tech Support 
Specialist, Cricket Coach
Microsoft Windows Free Zone - Linux used for all Computing Tasks



-- 
Sid Boyce ... Hamradio License G3VBV, Licensed Private Pilot
Emeritus IBM/Amdahl Mainframes and Sun/Fujitsu Servers Tech Support 
Specialist, Cricket Coach
Microsoft Windows Free Zone - Linux used for all Computing Tasks




More information about the linux-dvb mailing list